From 7ddb6c3b9ec1d08903ce4e2ba06c5f22f90caab6 Mon Sep 17 00:00:00 2001
From: "Hahn Axel (hahn)" <axel.hahn@unibe.ch>
Date: Thu, 14 Dec 2023 16:58:19 +0100
Subject: [PATCH] do not hard exit on error

---
 deploy_app.sh | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/deploy_app.sh b/deploy_app.sh
index 76238d3..2091137 100755
--- a/deploy_app.sh
+++ b/deploy_app.sh
@@ -35,6 +35,8 @@ logdir=/var/log/imldeployment-client
 # keep last N logs per project
 typeset -i iKeep=10
 
+typeset -i rc=0
+
 wait=0
 # wait=1
 
@@ -394,11 +396,11 @@ test -d "${logdir}" || mkdir -p "${logdir}"
 for myprofile in $allprofiles
 do
     ( deploy $myprofile; logdelete $myprofile ) 2>&1 | tee ${logdir}/${myprofile}__$(date +%Y-%m-%d__%H%M%S).log
-    test ${PIPESTATUS[0]} -eq 0 || exit ${PIPESTATUS[0]}
+    # test ${PIPESTATUS[0]} -eq 0 || exit ${PIPESTATUS[0]}
+    rc+=${PIPESTATUS[0]}
     profile=
 done
 
-rc=$?
 profile=
 header "All done."
 echo exiting with statuscode $rc
-- 
GitLab